var figure = {
    "layout": {
        "showlegend": true, 
        "font": {
            "color": "rgb(150,150,150)", 
            "family": "Arial", 
            "size": 12
        }, 
        "updatemenus": [
            {
                "y": 1, 
                "x": -0.1, 
                "yanchor": "top", 
                "buttons": [
                    {
                        "args": [
                            "visible", 
                            [
                                true, 
                                true, 
                                true, 
                                true, 
                                true, 
                                true, 
                                true, 
                                true, 
                                true, 
                                true, 
                                true, 
                                true
                            ]
                        ], 
                        "method": "restyle", 
                        "label": "All"
                    }, 
                    {
                        "args": [
                            "visible", 
                            [
                                true, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false
                            ]
                        ], 
                        "method": "restyle", 
                        "label": "Queensland"
                    }, 
                    {
                        "args": [
                            "visible", 
                            [
                                false, 
                                true, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false
                            ]
                        ], 
                        "method": "restyle", 
                        "label": "Brisbane"
                    }, 
                    {
                        "args": [
                            "visible", 
                            [
                                false, 
                                false, 
                                true, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false
                            ]
                        ], 
                        "method": "restyle", 
                        "label": "Darling Downs - Toowoomba"
                    }, 
                    {
                        "args": [
                            "visible", 
                            [
                                false, 
                                false, 
                                false, 
                                true, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false
                            ]
                        ], 
                        "method": "restyle", 
                        "label": "Far North Qld"
                    }, 
                    {
                        "args": [
                            "visible", 
                            [
                                false, 
                                false, 
                                false, 
                                false, 
                                true, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false
                            ]
                        ], 
                        "method": "restyle", 
                        "label": "Fitzroy"
                    }, 
                    {
                        "args": [
                            "visible", 
                            [
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                true, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false
                            ]
                        ], 
                        "method": "restyle", 
                        "label": "Gold Coast"
                    }, 
                    {
                        "args": [
                            "visible", 
                            [
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                true, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false
                            ]
                        ], 
                        "method": "restyle", 
                        "label": "Mackay"
                    }, 
                    {
                        "args": [
                            "visible", 
                            [
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                true, 
                                false, 
                                false, 
                                false, 
                                false
                            ]
                        ], 
                        "method": "restyle", 
                        "label": "Outback North"
                    }, 
                    {
                        "args": [
                            "visible", 
                            [
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                true, 
                                false, 
                                false, 
                                false
                            ]
                        ], 
                        "method": "restyle", 
                        "label": "Outback South"
                    }, 
                    {
                        "args": [
                            "visible", 
                            [
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                true, 
                                false, 
                                false
                            ]
                        ], 
                        "method": "restyle", 
                        "label": "Sunshine Coast"
                    }, 
                    {
                        "args": [
                            "visible", 
                            [
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                true, 
                                false
                            ]
                        ], 
                        "method": "restyle", 
                        "label": "Townsville"
                    }, 
                    {
                        "args": [
                            "visible", 
                            [
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                false, 
                                true
                            ]
                        ], 
                        "method": "restyle", 
                        "label": "Wide Bay Burnett"
                    }
                ]
            }
        ], 
        "xaxis": {
            "title": "Fiscal Year"
        }, 
        "yaxis": {
            "rangemode": "tozero", 
            "autorange": true, 
            "title": "Value of Work Done"
        }
    }, 
    "data": [
        {
            "name": "Queensland", 
            "ysrc": "roberts:1146:74734b", 
            "xsrc": "roberts:1146:718b9a", 
            "mode": "lines", 
            "y": [
                "19,308,156,000", 
                "20,343,000,000", 
                "20,209,000,000", 
                "18,576,000,000", 
                "18,331,000,000", 
                "16,820,000,000", 
                "15,624,000,000", 
                "14,168,000,000", 
                "14,888,000,000", 
                "16,391,000,000", 
                "18,879,000,000", 
                "20,292,000,000", 
                "21,101,000,000", 
                "21,387,000,000"
            ], 
            "x": [
                2006, 
                2007, 
                2008, 
                2009, 
                2010, 
                2011, 
                2012, 
                2013, 
                2014, 
                2015, 
                2016, 
                2017, 
                2018, 
                2019
            ], 
            "line": {
                "color": "rgba(85,87,89,1)", 
                "shape": "spline"
            }, 
            "type": "scatter"
        }, 
        {
            "name": "Brisbane", 
            "ysrc": "roberts:1146:e9c902", 
            "xsrc": "roberts:1146:718b9a", 
            "mode": "lines", 
            "y": [
                "8,447,070,000", 
                "8,736,000,000", 
                "8,643,000,000", 
                "8,223,000,000", 
                "8,304,000,000", 
                "8,255,000,000", 
                "8,067,000,000", 
                "6,732,000,000", 
                "7,033,000,000", 
                "8,770,000,000", 
                "10,592,000,000", 
                "11,571,000,000", 
                "11,563,000,000", 
                "10,966,000,000"
            ], 
            "x": [
                2006, 
                2007, 
                2008, 
                2009, 
                2010, 
                2011, 
                2012, 
                2013, 
                2014, 
                2015, 
                2016, 
                2017, 
                2018, 
                2019
            ], 
            "line": {
                "color": "rgba(255,205,26,1)", 
                "shape": "spline"
            }, 
            "type": "scatter"
        }, 
        {
            "name": "Darling Downs - Toowoomba", 
            "ysrc": "roberts:1146:2721fd", 
            "xsrc": "roberts:1146:718b9a", 
            "mode": "lines", 
            "y": [
                "694,881,000", 
                "734,000,000", 
                "639,000,000", 
                "572,000,000", 
                "703,000,000", 
                "791,000,000", 
                "717,000,000", 
                "662,000,000", 
                "660,000,000", 
                "669,000,000", 
                "651,000,000", 
                "621,000,000", 
                "667,000,000", 
                "700,000,000"
            ], 
            "x": [
                2006, 
                2007, 
                2008, 
                2009, 
                2010, 
                2011, 
                2012, 
                2013, 
                2014, 
                2015, 
                2016, 
                2017, 
                2018, 
                2019
            ], 
            "line": {
                "color": "rgba(124,175,221, 1)", 
                "shape": "spline"
            }, 
            "type": "scatter"
        }, 
        {
            "name": "Far North Qld", 
            "ysrc": "roberts:1146:2f43d2", 
            "xsrc": "roberts:1146:718b9a", 
            "mode": "lines", 
            "y": [
                "1,093,550,000", 
                "1,206,000,000", 
                "1,325,000,000", 
                "1,059,000,000", 
                "924,000,000", 
                "771,000,000", 
                "724,000,000", 
                "667,000,000", 
                "614,000,000", 
                "625,000,000", 
                "736,000,000", 
                "776,000,000", 
                "888,000,000", 
                "1,094,000,000"
            ], 
            "x": [
                2006, 
                2007, 
                2008, 
                2009, 
                2010, 
                2011, 
                2012, 
                2013, 
                2014, 
                2015, 
                2016, 
                2017, 
                2018, 
                2019
            ], 
            "line": {
                "color": "rgba(38,68,120,1)", 
                "shape": "spline"
            }, 
            "type": "scatter"
        }, 
        {
            "name": "Fitzroy", 
            "ysrc": "roberts:1146:4b0bc9", 
            "xsrc": "roberts:1146:718b9a", 
            "mode": "lines", 
            "y": [
                "607,748,000", 
                "778,000,000", 
                "834,000,000", 
                "688,000,000", 
                "605,000,000", 
                "633,000,000", 
                "738,000,000", 
                "980,000,000", 
                "1,112,000,000", 
                "663,000,000", 
                "484,000,000", 
                "461,000,000", 
                "596,000,000", 
                "697,000,000"
            ], 
            "x": [
                2006, 
                2007, 
                2008, 
                2009, 
                2010, 
                2011, 
                2012, 
                2013, 
                2014, 
                2015, 
                2016, 
                2017, 
                2018, 
                2019
            ], 
            "line": {
                "color": "rgba(183,183,183,1)", 
                "shape": "spline"
            }, 
            "type": "scatter"
        }, 
        {
            "name": "Gold Coast", 
            "ysrc": "roberts:1146:44f123", 
            "xsrc": "roberts:1146:718b9a", 
            "mode": "lines", 
            "y": [
                "3,551,350,000", 
                "3,701,000,000", 
                "3,469,000,000", 
                "3,196,000,000", 
                "3,073,000,000", 
                "2,243,000,000", 
                "1,805,000,000", 
                "1,582,000,000", 
                "1,751,000,000", 
                "2,057,000,000", 
                "2,784,000,000", 
                "3,257,000,000", 
                "3,385,000,000", 
                "3,481,000,000"
            ], 
            "x": [
                2006, 
                2007, 
                2008, 
                2009, 
                2010, 
                2011, 
                2012, 
                2013, 
                2014, 
                2015, 
                2016, 
                2017, 
                2018, 
                2019
            ], 
            "line": {
                "color": "rgba(99,99,99,1)", 
                "shape": "spline"
            }, 
            "type": "scatter"
        }, 
        {
            "name": "Mackay", 
            "ysrc": "roberts:1146:1728f2", 
            "xsrc": "roberts:1146:718b9a", 
            "mode": "lines", 
            "y": [
                "693,278,000", 
                "778,000,000", 
                "817,000,000", 
                "691,000,000", 
                "768,000,000", 
                "671,000,000", 
                "619,000,000", 
                "865,000,000", 
                "956,000,000", 
                "599,000,000", 
                "424,000,000", 
                "379,000,000", 
                "472,000,000", 
                "571,000,000"
            ], 
            "x": [
                2006, 
                2007, 
                2008, 
                2009, 
                2010, 
                2011, 
                2012, 
                2013, 
                2014, 
                2015, 
                2016, 
                2017, 
                2018, 
                2019
            ], 
            "line": {
                "color": "rgba(105,142,208,1)", 
                "shape": "spline"
            }, 
            "type": "scatter"
        }, 
        {
            "name": "Outback North", 
            "ysrc": "roberts:1146:3881e2", 
            "xsrc": "roberts:1146:718b9a", 
            "mode": "lines", 
            "y": [
                "23,958,000", 
                "25,000,000", 
                "33,000,000", 
                "34,000,000", 
                "35,000,000", 
                "36,000,000", 
                "35,000,000", 
                "29,000,000", 
                "33,000,000", 
                "30,000,000", 
                "25,000,000", 
                "28,000,000", 
                "48,000,000", 
                "53,000,000"
            ], 
            "x": [
                2006, 
                2007, 
                2008, 
                2009, 
                2010, 
                2011, 
                2012, 
                2013, 
                2014, 
                2015, 
                2016, 
                2017, 
                2018, 
                2019
            ], 
            "line": {
                "color": "rgba(165,165,165,1)", 
                "shape": "spline"
            }, 
            "type": "scatter"
        }, 
        {
            "name": "Outback South", 
            "ysrc": "roberts:1146:8ca229", 
            "xsrc": "roberts:1146:718b9a", 
            "mode": "lines", 
            "y": [
                "50,717,000", 
                "56,000,000", 
                "58,000,000", 
                "52,000,000", 
                "57,000,000", 
                "62,000,000", 
                "76,000,000", 
                "85,000,000", 
                "81,000,000", 
                "60,000,000", 
                "52,000,000", 
                "43,000,000", 
                "53,000,000", 
                "59,000,000"
            ], 
            "x": [
                2006, 
                2007, 
                2008, 
                2009, 
                2010, 
                2011, 
                2012, 
                2013, 
                2014, 
                2015, 
                2016, 
                2017, 
                2018, 
                2019
            ], 
            "line": {
                "color": "rgba(157,195,230,1)", 
                "shape": "spline"
            }, 
            "type": "scatter"
        }, 
        {
            "name": "Sunshine Coast", 
            "ysrc": "roberts:1146:b62858", 
            "xsrc": "roberts:1146:718b9a", 
            "mode": "lines", 
            "y": [
                "2,033,936,000", 
                "2,036,000,000", 
                "2,068,000,000", 
                "1,912,000,000", 
                "1,788,000,000", 
                "1,553,000,000", 
                "1,311,000,000", 
                "1,165,000,000", 
                "1,248,000,000", 
                "1,509,000,000", 
                "1,734,000,000", 
                "1,844,000,000", 
                "1,920,000,000", 
                "2,091,000,000"
            ], 
            "x": [
                2006, 
                2007, 
                2008, 
                2009, 
                2010, 
                2011, 
                2012, 
                2013, 
                2014, 
                2015, 
                2016, 
                2017, 
                2018, 
                2019
            ], 
            "line": {
                "color": "rgba(51,90,161,1)", 
                "shape": "spline"
            }, 
            "type": "scatter"
        }, 
        {
            "name": "Townsville", 
            "ysrc": "roberts:1146:14c400", 
            "xsrc": "roberts:1146:718b9a", 
            "mode": "lines", 
            "y": [
                "949,888,000", 
                "1,017,000,000", 
                "1,071,000,000", 
                "1,044,000,000", 
                "1,003,000,000", 
                "832,000,000", 
                "755,000,000", 
                "729,000,000", 
                "744,000,000", 
                "723,000,000", 
                "678,000,000", 
                "571,000,000", 
                "687,000,000", 
                "803,000,000"
            ], 
            "x": [
                2006, 
                2007, 
                2008, 
                2009, 
                2010, 
                2011, 
                2012, 
                2013, 
                2014, 
                2015, 
                2016, 
                2017, 
                2018, 
                2019
            ], 
            "line": {
                "color": "rgba(255,232,75,1)", 
                "shape": "spline"
            }, 
            "type": "scatter"
        }, 
        {
            "name": "Wide Bay Burnett", 
            "ysrc": "roberts:1146:f25ba8", 
            "xsrc": "roberts:1146:718b9a", 
            "mode": "lines", 
            "y": [
                "1,166,481,000", 
                "1,279,000,000", 
                "1,253,000,000", 
                "1,105,000,000", 
                "1,074,000,000", 
                "972,000,000", 
                "776,000,000", 
                "670,000,000", 
                "655,000,000", 
                "687,000,000", 
                "720,000,000", 
                "742,000,000", 
                "823,000,000", 
                "872,000,000"
            ], 
            "x": [
                2006, 
                2007, 
                2008, 
                2009, 
                2010, 
                2011, 
                2012, 
                2013, 
                2014, 
                2015, 
                2016, 
                2017, 
                2018, 
                2019
            ], 
            "line": {
                "color": "rgba(68,114,196,1)", 
                "shape": "spline"
            }, 
            "type": "scatter"
        }
    ]
}